Name:           xsoldier
Version:        1.8
Release:        3%{?dist}
Summary:        Spaceship vertical-scrolling shooting game for X
Group:          Games
License:        GPLv2+
URL:            http://www.interq.or.jp/libra/oohara/%{name}
Source:         http://www.interq.or.jp/libra/oohara/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  libX11-devel imake libXpm-devel
BuildRequires:  desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Patch1:         xsoldier-1.5-fix-str-fmt.patch
Source1:        xsoldier.png

%description
Spaceship vertical-scrolling shooting game for X, with nice graphics, 3
types of shot, big boss at the end of each level and highscores. No sound
yet.

%prep
%setup -q
%patch1 -p1 -b.str.fmt

%build
%configure
make %{?_smp_mflags} CDEBUGFLAGS="%{optflags}" \
     PIXMAPDIR=%{_datadir}/games/%{name} \
     SCOREDIR=%{_localstatedir}/games \
     SCOREFILE=%{name}.scores \
     BINDIR=%{_prefix}/games all

%install
%makeinstall BINDIR=%{buildroot}/%{_prefix}/games \
             PIXMAPDIR=%{buildroot}/%{_datadir}/games/%{name} \
             SCOREDIR=%{buildroot}/%{_localstatedir}/games \
             SCOREFILE=%{name}.scores

install -d %{buildroot}%{_datadir}/pixmaps
cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%license LICENSE
%doc COPYING GPL INSTALL README ChangeLog
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/pixmaps/%{name}.png
%attr(2755,root,games) %{_bindir}/%{name}
%attr(0664,root,games) %config %{_localstatedir}/games/%{name}/%{name}.scores

%changelog
* Mon Apr 22 2019 josef radinger <cheese@nosuchhost.net> - 1.8-3
- license file to %%license
- remove defaultattr
- correct license
- add desktopfile + rpm-image

* Sun Jan 08 2017 josef radinger <cheese@nosuchhost.net> - 1.8-2
- fix man-page.extension in file-list
- add patch1 to fix compilation
- reformat specfile

* Sat Jan 26 2013 josef radinger <cheese@nosuchhost.net> - 1.8-1
- bump version
- remove unused patches
- mod spec-file

* Fri Jan 18 2002 Ricardo Erbano <erbano@conectiva.com>
+ xsoldier-0.96-2cl
- Fixed spec according to policy
- Added patch file xf4

* Thu Dec 07 2000 aurelio marinho jargas <aurelio@conectiva.com>
- added security fix from mandrake, who got it from debian &:)
- install on default dirs
- adopted by Conectiva Linux
